# revolverloader

A loadout generator for the Sparrows Revolver lockpick tool (https://www.sparrowslockpicks.com/products/the-revolver?srsltid=AfmBOoq4EO-_k1B_qlCRaW7302QfXc17ouuhDeBMjCxqdAZXCjjxBFWz) 

Really, it generates 5 or 6 pin locks in sets of 4. 

## Usage

There are 3 difficulty settings: 

(E)asy is selected with an 'E' and contains standard and spool pins. The loadout will consist of 5 pins. 
(M)edium is selected with an 'M' and contains Easy plus Serrated and Mushroom pins. The loadout will consist of 6 pins. 
(H)ard assumes you have, and adds, the Sparrows Check and Ammunition pin sets. The loadout will consist of 6 pins. 

If you do not select a diffculty, it will print out the default loadout for the revolver. 

run from a terminal on most popular operating systems with python installed: 

```
python revolverloader.py
```


## Sample Output: 
```
Sparrows⚿ Revolver Loadout Generator
Generates lists of pins for filling the Sparrows⚿ Revolver
Hard mode assumes you have the Check and Ammo pin sets from Sparrows⚿
Choose Difficulty (Stock), (E)asy, (M)edium, (H)ard: 
|       1       |       2       |       3       |       4       |       5       |       6       |
|       Std     |       Std     |       Std     |       Std     |       Std     |       X       |
|       Std     |       Spl     |       Std     |       Spl     |       Std     |       X       |
|       Std     |       Serr    |       Std     |       Serr    |       Std     |       X       |
|       Std     |       Mshrm   |       Std     |       Mshrm   |       Std     |       X       |
Good Luck!
```
